Package com.studica.frc.jni

## Class TitanJNI

- java.lang.Object
- - com.studica.frc.jni.TitanJNIWrapper
  - - com.studica.frc.jni.TitanJNI

    public class TitanJNI
    extends TitanJNIWrapper

### Constructor Summary

Constructors
`TitanJNI()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `c_Titan_configureMotor​(long handle, int frequency, int motor)`
`static long` `c_Titan_create​(int deviceID, int motor, int frequency)`
`static void` `c_Titan_destroy​(long handle)`
`static void` `c_Titan_disableMotor​(long handle, int motor)`
`static double` `c_Titan_getCurrent​(long handle, int motor)`
`static double` `c_Titan_getEncoderDistance​(long handle, int encoder, double encoder0DistPerTick, double encoder1DistPerTick, double encoder2DistPerTick, double encoder3DistPerTick, int encoderTicks, double distance)`
`static java.lang.String` `c_Titan_getFirmwareVersion​(long handle)`
`static int` `c_Titan_getFrequency​(long handle)`
`static java.lang.String` `c_Titan_getHardwareVersion​(long handle)`
`static int` `c_Titan_getID​(long handle)`
`static void` `c_Titan_resetEncoder​(long handle, int encoder)`
`static void` `c_Titan_setEncoder​(long handle, int encoder, double distPerTick, double encoder0DistPerTick, double encoder1DistPerTick, double encoder2DistPerTick, double encoder3DistPerTick)`
`static void` `c_Titan_setMotorSpeed​(long handle, int motor, double speed)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TitanJNI

    public TitanJNI()

### Method Detail

#### c_Titan_create

    public static long c_Titan_create​(int deviceID,
                                      int motor,
                                      int frequency)

#### c_Titan_destroy

    public static void c_Titan_destroy​(long handle)

#### c_Titan_getID

    public static int c_Titan_getID​(long handle)

#### c_Titan_getFrequency

    public static int c_Titan_getFrequency​(long handle)

#### c_Titan_getFirmwareVersion

    public static java.lang.String c_Titan_getFirmwareVersion​(long handle)

#### c_Titan_getHardwareVersion

    public static java.lang.String c_Titan_getHardwareVersion​(long handle)

#### c_Titan_configureMotor

    public static void c_Titan_configureMotor​(long handle,
                                              int frequency,
                                              int motor)

#### c_Titan_disableMotor

    public static void c_Titan_disableMotor​(long handle,
                                            int motor)

#### c_Titan_getCurrent

    public static double c_Titan_getCurrent​(long handle,
                                            int motor)

#### c_Titan_setEncoder

    public static void c_Titan_setEncoder​(long handle,
                                          int encoder,
                                          double distPerTick,
                                          double encoder0DistPerTick,
                                          double encoder1DistPerTick,
                                          double encoder2DistPerTick,
                                          double encoder3DistPerTick)

#### c_Titan_getEncoderDistance

    public static double c_Titan_getEncoderDistance​(long handle,
                                                    int encoder,
                                                    double encoder0DistPerTick,
                                                    double encoder1DistPerTick,
                                                    double encoder2DistPerTick,
                                                    double encoder3DistPerTick,
                                                    int encoderTicks,
                                                    double distance)

#### c_Titan_resetEncoder

    public static void c_Titan_resetEncoder​(long handle,
                                            int encoder)

#### c_Titan_setMotorSpeed

    public static void c_Titan_setMotorSpeed​(long handle,
                                             int motor,
                                             double speed)